Schedule Pickups
curl --request POST \
--url https://api.apps.lute.co.in/v1/pickups/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
{}
],
"date": "<string>",
"slot": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/pickups/schedule"
payload = {
"orders": [{}],
"date": "<string>",
"slot": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orders: [{}], date: '<string>', slot: '<string>'})
};
fetch('https://api.apps.lute.co.in/v1/pickups/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/pickups/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orders' => [
[
]
],
'date' => '<string>',
'slot' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/pickups/schedule"
payload := strings.NewReader("{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/pickups/schedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/pickups/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyPickups & Dispatch
Schedule Pickups
Request courier pickups for ready-to-ship orders grouped by warehouse and carrier.
POST
/
v1
/
pickups
/
schedule
Schedule Pickups
curl --request POST \
--url https://api.apps.lute.co.in/v1/pickups/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
{}
],
"date": "<string>",
"slot": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/pickups/schedule"
payload = {
"orders": [{}],
"date": "<string>",
"slot": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orders: [{}], date: '<string>', slot: '<string>'})
};
fetch('https://api.apps.lute.co.in/v1/pickups/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/pickups/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orders' => [
[
]
],
'date' => '<string>',
'slot' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/pickups/schedule"
payload := strings.NewReader("{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/pickups/schedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/pickups/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orders\": [\n {}\n ],\n \"date\": \"<string>\",\n \"slot\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodySchedule Pickups
Requests warehouse collections for orders with issued AWBs. Shipdesk automatically groups the orders by carrier and warehouse location, booking one pickup per group with the carrier.Request Body
Response Example
{
"success": true,
"data": {
"pickups": [
{
"id": "PKP-2026-801",
"carrier": "Delhivery",
"warehouse": "Primary Blr Warehouse",
"date": "2026-11-23",
"slot": "10:00 - 13:00",
"packages": 2,
"reference": "DEL_PU_9849201",
"status": "Scheduled"
}
],
"failed": []
},
"meta": {
"timestamp": "2026-11-22T16:33:00.000Z",
"request_id": "req_44920192"
}
}